Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 815024 (CVE-2012-0474) - CVE-2012-0474 Mozilla: Page load short-circuit can lead to XSS (MFSA 2012-27)
Summary: CVE-2012-0474 Mozilla: Page load short-circuit can lead to XSS (MFSA 2012-27)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0474
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 812268
TreeView+ depends on / blocked
 
Reported: 2012-04-22 06:54 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-24 12:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-24 21:02:26 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0515 0 normal SHIPPED_LIVE Critical: firefox security update 2012-04-24 23:55:38 UTC
Red Hat Product Errata RHSA-2012:0516 0 normal SHIPPED_LIVE Critical: thunderbird security update 2012-04-24 23:44:08 UTC

Description Huzaifa S. Sidhpurwala 2012-04-22 06:54:44 UTC
Security researchers Jordi Chancel and Eddy Bordi reported that they could short-circuit page loads to show the address of a different site than what is loaded in the window in the addressbar. Security researcher Chris McGowen independently reported the same flaw, and further demonstrated that this could lead to loading scripts from the attacker's site, leaving users vulnerable to cross-site scripting (XSS) attacks. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-27.html

Comment 1 Vincent Danen 2012-04-24 17:56:47 UTC
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.  Upstream acknowledges Jordi Chancel and Eddy Bordi, and Chris McGowen as the original reporters.

Comment 2 errata-xmlrpc 2012-04-24 19:46:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0516 https://rhn.redhat.com/errata/RHSA-2012-0516.html

Comment 3 errata-xmlrpc 2012-04-24 19:58:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0515 https://rhn.redhat.com/errata/RHSA-2012-0515.html


Note You need to log in before you can comment on or make changes to this bug.